.cards-container {
  padding-left: 4rem;
}

.image {
  position: relative;
  flex: 1;
  max-width: 240px;
  height: 300px;
  margin: 16px;
  overflow: hidden;
  background-color: black;
  cursor: pointer;
}

.image img {
  opacity: 1;
  position: relative;
  vertical-align: top;
  transition: 0.6s;
  transition-property: opacity;
  background-size: cover;
  /* height: 100%; */
  width: 100%;
  background-position: center;
  background-repeat: no-repeat;
}

.image:hover img {
  opacity: 0.8;
}

.image .details {
  z-index: 1;
  position: absolute;
  top: 0;
  right: 0;
  color: #fff;
  width: 100%;
  height: 100%;
}

.image .details h2 {
  text-align: center;
  font-size: 25px;
  text-transform: uppercase;
  font-weight: 300;
  margin-top: 100px;
  transition: 0.4s;
  transition-property: transform;
}

.image .details h2 span {
  font-weight: 900;
}

.image:hover .details h2 {
  transform: translateY(-30px);
}

.more {
  position: absolute;
  background: transparent;
  backdrop-filter: blur(5px);
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px;
  bottom: -60px;
  transition: 0.6s;
  transition-property: bottom;
}

.image:hover .more {
  bottom: 0;
}

.more .read-more {
  color: rgb(228, 228, 228);
  text-decoration: none;
  font-size: 16px;
  font-weight: 400;
  text-transform: uppercase;
}

.more .read-more span {
  font-weight: 900;
}

.more .icon-links i {
  /* color: #000; */
  font-size: 16px;
}

.more .icon-links a:not(:last-child) i {
  margin-right: 20px;
}

.favorite-icon {
  color: rgb(190, 61, 61);
}

.notify-icon {
  color: whitesmoke;
  margin-right: 6px;
}

.share-icon {
  color: whitesmoke;
  margin-right: 6px;
}

:host::ng-deep .mat-paginator-outer-container {
  background-color: #e1e4f7;
}

.search-game {
  padding: 2rem 3rem 2rem 3rem;
  background-color: #bcbbd1;
}

.search-input {
  width: 40%;
}

.search-input input {
  padding-left: 1rem;
}

:host::ng-deep .mat-form-field-outline-start {
  border-radius: 28px 0 0 28px !important;
  min-width: 28px !important;
}

:host::ng-deep .mat-form-field-outline-end {
  border-radius: 0 28px 28px 0 !important;
}

.favorite-disable-icon {
  color: rgb(206, 206, 206);
}

/* Responsive CSS */

@media (max-width: 1080px) {
  .image {
    flex: 100%;
    /* max-width: 480px; */
  }

  .search-game {
    place-content: center !important;
  }

  .search-input {
    width: 70%;
  }
}

@media (max-width: 400px) {
  .image .details p {
    font-size: 16px;
  }

  .more .read-more,
  .more .icon-links a i {
    font-size: 18px;
  }

  .search-game {
    place-content: center !important;
  }
  .search-input {
    width: 80%;
  }
}
